<%= form_with(model: milestone) do |form| %>
  <% if milestone.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(milestone.errors.count, "error") %> prohibited this milestone from being saved:</h2>

      <ul>
        <% milestone.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :milestone, style: "display: block" %>
    <%= form.text_field :milestone %>
  </div>

  <div>
    <%= form.label :start_date, style: "display: block" %>
    <%= form.date_field :start_date %>
  </div>

  <div>
    <%= form.label :end_date, style: "display: block" %>
    <%= form.date_field :end_date %>
  </div>

  <div>
    <%= form.label :last_working_day, style: "display: block" %>
    <%= form.date_field :last_working_day %>
  </div>

  <div>
    <%= form.label :workdays, style: "display: block" %>
    <%= form.number_field :workdays %>
  </div>

  <div>
    <%= form.label :weight, style: "display: block" %>
    <%= form.number_field :weight %>
  </div>

  <div>
    <%= form.label :gitlab_id, style: "display: block" %>
    <%= form.number_field :gitlab_id %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
